## org.hibernate.sql
Class MckoiCaseFragment

    java.lang.Object
      org.hibernate.sql.CaseFragment
          org.hibernate.sql.MckoiCaseFragment

    public class MckoiCaseFragment

extends CaseFragment

A Mckoi IF function.
`if(..., ..., ...) as ...`

Field Summary

Fields inherited from class org.hibernate.sql.CaseFragment
`cases, returnColumnName`

Constructor Summary
`MckoiCaseFragment()`

Method Summary
`String` `toFragmentString()`

Methods inherited from class org.hibernate.sql.CaseFragment
`addWhenColumnNotNull, setReturnColumnName, setReturnColumnName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MckoiCaseFragment

    public MckoiCaseFragment()

Method Detail

### toFragmentString

    public String toFragmentString()

  Specified by:
    `toFragmentString` in class `CaseFragment`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.